A custom element that renders pies and interacts with [pie-api][pie-api].

[pie-api]: github.com/key-data-systems/pie-api

# install

```shell
npm install
```

## commands

| commands                               | description                                                    |
| -------------------------------------- | -------------------------------------------------------------- |
| `demo/run --port XXXX (default: 4001)` | run demo code, see below                                       |
| `npm test`                             |                                                                |
| `npm run release`                      | commit the release to github and send the webpack bundle to s3 |
| `npm run build`                        | build the bundle                                               |
| `npm run deploy-to-s3`                 | send the webpack bundle to s3                                  |

# demo

When you run the demo, you get a little demo page where you can see the player element in use.
Also you can use `/player.js` in other applications. This can be useful if you need to load it up in another app.

# build

The build outputs a reqular npm package + a webpack bundle (`player.js` and `player.js.map`). This is until we figure out how this is best consumed in the pie-api.

# Usage

```html
<pie-api-player token="token" itemId="itemId" host="host"></pie-api-player>
```

# todos..

- instance lifecycle handling
- multiple instances on page
- session id support
- s3 deploy w/ tagged version?
