/**
 * This is a temporary function to generate a data model that will allow the elements to render.
 * We'll probably want this logic in the element controllers instead.
 * @param element
 * @param id
 */
import selectText from "./select-text";
import multipleChoice from "./multiple-choice";
import categorize from "./categorize";
import extendedTextEntry from "./extended-text-entry";
const createDataModel = (element, id) => {
    const base = { element, id };
    switch (element) {
        case "categorize-dnd": {
            return categorize.model(id, element);
        }
        case "multiple-choice": {
            return multipleChoice.model(id, element);
        }
        case "extended-text-entry": {
            return extendedTextEntry.model(id, element);
        }
        case "select-text":
            return selectText.model(id, element);
    }
};
export default createDataModel;
//# sourceMappingURL=index.js.map